"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisassociateTeamMember_1 = require("../model/operations/DisassociateTeamMember");
var DisassociateTeamMemberCommand = /** @class */ (function () {
    function DisassociateTeamMemberCommand(input) {
        this.input = input;
        this.model = DisassociateTeamMember_1.DisassociateTeamMember;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisassociateTeamMemberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisassociateTeamMemberCommand;
}());
exports.DisassociateTeamMemberCommand = DisassociateTeamMemberCommand;
//# sourceMappingURL=DisassociateTeamMemberCommand.js.map