"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AssociateTeamMemberInput_1 = require("../shapes/AssociateTeamMemberInput");
var AssociateTeamMemberOutput_1 = require("../shapes/AssociateTeamMemberOutput");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var TeamMemberAlreadyAssociatedException_1 = require("../shapes/TeamMemberAlreadyAssociatedException");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidServiceRoleException_1 = require("../shapes/InvalidServiceRoleException");
var ProjectConfigurationException_1 = require("../shapes/ProjectConfigurationException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AssociateTeamMember = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AssociateTeamMember",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AssociateTeamMemberInput_1.AssociateTeamMemberInput
    },
    output: {
        shape: AssociateTeamMemberOutput_1.AssociateTeamMemberOutput
    },
    errors: [
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: TeamMemberAlreadyAssociatedException_1.TeamMemberAlreadyAssociatedException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidServiceRoleException_1.InvalidServiceRoleException
        },
        {
            shape: ProjectConfigurationException_1.ProjectConfigurationException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=AssociateTeamMember.js.map