"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateProjectInput_1 = require("../shapes/CreateProjectInput");
var CreateProjectOutput_1 = require("../shapes/CreateProjectOutput");
var ProjectAlreadyExistsException_1 = require("../shapes/ProjectAlreadyExistsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ValidationException_1 = require("../shapes/ValidationException");
var ProjectCreationFailedException_1 = require("../shapes/ProjectCreationFailedException");
var InvalidServiceRoleException_1 = require("../shapes/InvalidServiceRoleException");
var ProjectConfigurationException_1 = require("../shapes/ProjectConfigurationException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateProjectInput_1.CreateProjectInput
    },
    output: {
        shape: CreateProjectOutput_1.CreateProjectOutput
    },
    errors: [
        {
            shape: ProjectAlreadyExistsException_1.ProjectAlreadyExistsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ProjectCreationFailedException_1.ProjectCreationFailedException
        },
        {
            shape: InvalidServiceRoleException_1.InvalidServiceRoleException
        },
        {
            shape: ProjectConfigurationException_1.ProjectConfigurationException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=CreateProject.js.map