"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeProjectInput_1 = require("../shapes/DescribeProjectInput");
var DescribeProjectOutput_1 = require("../shapes/DescribeProjectOutput");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidServiceRoleException_1 = require("../shapes/InvalidServiceRoleException");
var ProjectConfigurationException_1 = require("../shapes/ProjectConfigurationException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeProjectInput_1.DescribeProjectInput
    },
    output: {
        shape: DescribeProjectOutput_1.DescribeProjectOutput
    },
    errors: [
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidServiceRoleException_1.InvalidServiceRoleException
        },
        {
            shape: ProjectConfigurationException_1.ProjectConfigurationException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=DescribeProject.js.map