"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SourceCode_1 = require("./_SourceCode");
var _Toolchain_1 = require("./_Toolchain");
var _Tags_1 = require("./_Tags");
exports.CreateProjectInput = {
    type: "structure",
    required: ["name", "id"],
    members: {
        name: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        },
        id: {
            shape: {
                type: "string",
                min: 2
            }
        },
        description: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        clientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        sourceCode: {
            shape: _SourceCode_1._SourceCode
        },
        toolchain: {
            shape: _Toolchain_1._Toolchain
        },
        tags: {
            shape: _Tags_1._Tags
        }
    }
};
//# sourceMappingURL=CreateProjectInput.js.map