import { BrowserHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * ListResourcesInput shape
 */
export interface ListResourcesInput {
    /**
     * <p>The ID of the project.</p>
     */
    projectId: string;
    /**
     * <p>The continuation token for the next set of results, if the results cannot be returned in one response.</p>
     */
    nextToken?: string;
    /**
     * <p>The maximum amount of data that can be contained in a single set of results.</p>
     */
    maxResults?: number;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
